amgx installation

I am trying to see and example run for AMGX
https://developer.nvidia.com/amgx

I have NVIDIA-SMI 352.63, Driver Version: 352.63, GeForce GTX 970 .
Here is the output of ldd on the library.
ldd libamgxsh.so
linux-vdso.so.1 => (0x00007ffc8a1ca000)
libcudart.so.6.5 => not found
libcuda.so.1 => /usr/lib/x86_64-linux-gnu/libcuda.so.1 (0x00007f54f411e000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f54f3f1a000)
libcublas.so.6.5 => not found
libcusparse.so.6.5 => not found
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f54f3cfc000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f54f39f8000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f54f36f2000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f54f34dc000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f54f3117000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f54f2f0f000)
/lib64/ld-linux-x86-64.so.2 (0x00007f54fb926000)

I do have libraries missing but for 7.0 not 6.5 :
-rwxrwxrwx 1 root root 26032916 Oct 14 2015 /usr/local/cuda/lib64/libcublas_device.a
lrwxrwxrwx 1 root root 19 Dec 17 17:51 /usr/local/cuda/lib64/libcublas.so -> libcublas.so.7.0.28
lrwxrwxrwx 1 root root 19 Dec 17 17:51 /usr/local/cuda/lib64/libcublas.so.7.0 -> libcublas.so.7.0.28
-rwxrwxr-x 1 root root 31160168 Dec 17 17:51 /usr/local/cuda/lib64/libcublas.so.7.0.28
-rwxrwxrwx 1 root root 35269768 Oct 14 2015 /usr/local/cuda/lib64/libcublas_static.a
lrwxrwxrwx 1 root root 19 Dec 17 17:51 /usr/local/cuda/lib64/libcudart.so -> libcudart.so.7.0.28
lrwxrwxrwx 1 root root 19 Dec 17 17:51 /usr/local/cuda/lib64/libcudart.so.7.0 -> libcudart.so.7.0.28
-rwxrwxr-x 1 root root 377896 Dec 17 17:51 /usr/local/cuda/lib64/libcudart.so.7.0.28
-rwxrwxrwx 1 root root 708938 Oct 14 2015 /usr/local/cuda/lib64/libcudart_static.a
lrwxrwxrwx 1 root root 21 Dec 17 17:51 /usr/local/cuda/lib64/libcusparse.so -> libcusparse.so.7.0.28
lrwxrwxrwx 1 root root 21 Dec 17 17:51 /usr/local/cuda/lib64/libcusparse.so.7.0 -> libcusparse.so.7.0.28
-rwxrwxr-x 1 root root 43486576 Dec 17 17:51 /usr/local/cuda/lib64/libcusparse.so.7.0.28
-rwxrwxrwx 1 root root 51094980 Oct 14 2015 /usr/local/cuda/lib64/libcusparse_static.a

Does this mean I would have to go back to 6.5 in order to try out amgx ?

Thanks!